-- using 121204220 as a seed to the RNG

/* TPC_H  Query 6 - Forecasting Revenue Change */

SELECT	SUM(L_EXTENDEDPRICE*L_DISCOUNT)	AS REVENUE
FROM	LINEITEM
WHERE	L_SHIPDATE	>= '1993-01-01' AND
	L_SHIPDATE	< dateadd (yy, 1, cast('1993-01-01' as date)) AND
	L_DISCOUNT	BETWEEN 0.05 - 0.01 AND 0.05 + 0.01 AND
	L_QUANTITY	< 24
