-- using 121204221 as a seed to the RNG

/* TPC_H  Query 14 - Promotion Effect */

SELECT	100.00 * SUM	(	CASE	WHEN P_TYPE LIKE 'PROMO%'
					THEN L_EXTENDEDPRICE*(1-L_DISCOUNT)
					ELSE 0
				END) / SUM(L_EXTENDEDPRICE*(1-L_DISCOUNT))	AS PROMO_REVENUE
FROM	LINEITEM,
	PART
WHERE	L_PARTKEY	= P_PARTKEY	AND
	L_SHIPDATE	>= '1997-02-01'		AND
	L_SHIPDATE	< dateadd(mm, 1,cast ('1997-02-01' as date))
